<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateRegistries extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('registries')
			->addColumn('user', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('action', 'string', ['length' => 255, 'null' => false])
			->addColumn('time', 'datetime', ['default' => '0000-00-00', 'null' => false])
			->addForeignKey('user', 'users', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
